%define oname	storm

Summary:	Object Relational Mapper for Python
Name:		python-%{oname}
Version:	1.0
Release:	%mkrel 5
License:	GPLv2
Group:		Development/Python
URL:		https://storm.canonical.com/
Source0:	https://launchpad.net/storm/trunk/%{version}/+download/%{oname}-%{version}.tar.gz
BuildRequires:	pkgconfig(python3)
# for tests
BuildRequires:  python3-pytest
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(fixtures)

%description
Storm is an object-relation mapper (ORM) for the Python language. It allows
rows from a relational database to be seen as objects in an object-oriented
language like Python.

- Storm lets you efficiently access and update large datasets by allowing you
  to formulate complex queries spanning multiple tables using Python.

- Storm allows you to fallback to SQL if needed (or if you just prefer),
  allowing you to mix "old school" code and ORM code


%package -n	python3-%{oname}
Summary:	Object Relational Mapper for Python
Group:		Development/Python

Obsoletes:	python-storm < 1.0-3

%description -n	python3-%{oname}
Storm is an object-relation mapper (ORM) for the Python language. It allows
rows from a relational database to be seen as objects in an object-oriented
language like Python.

- Storm lets you efficiently access and update large datasets by allowing you
  to formulate complex queries spanning multiple tables using Python.

- Storm allows you to fallback to SQL if needed (or if you just prefer),
  allowing you to mix "old school" code and ORM code


%package -n	python3-%{oname}-mysql
Summary:	MySQL backend for %{name}
Group:		Development/Python
Requires:	python3-%{oname} = %{version}-%{release}
Requires:	python3dist(mysqlclient)

Obsoletes:	python-storm-mysql < 1.0-3

%description -n	python3-%{oname}-mysql
The python3-%{oname}-mysql package contains the MySQL database backend for
%{name}.


%package -n	python3-%{oname}-postgresql
Summary:	PostgreSQL backend for %{name}
Group:		Development/Python
Requires:	python3-%{oname} = %{version}-%{release}
Requires:	python3dist(psycopg2)

Obsoletes:	python-storm-postgresql < 1.0-3

%description -n	python3-%{oname}-postgresql
The python3-%{oname}-postgresql package contains the PostgreSQL database
backend for %{name}.


%package -n	python3-%{oname}-zope
Summary:	Zope integration for %{name}
Group:		Development/Python
Requires:	python3-%{oname} = %{version}-%{release}
Requires:	python3dist(zope-interface)

Obsoletes:	python-storm-zope < 1.0-3

%description -n	python3-%{oname}-zope
The python3-%{oname}-zope package provides Zope integration for %{name}.


%package -n	python3-%{oname}-twisted
Summary:	Twisted integration for %{name}
Group:		Development/Python
Requires:	python3-%{oname} = %{version}-%{release}
Requires:	python3dist(twisted)

Obsoletes:	python-storm-twisted < 1.0-3

%description -n	python3-%{oname}-twisted
The python3-%{oname}-twisted package provides Twisted integration for %{name}.


%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%tox
# we don't want them in package
rm -Rf %{buildroot}%{python3_sitearch}/storm/tests

%files -n python3-%{oname}
%doc LICENSE NEWS README TODO
%exclude %{python3_sitearch}/storm/zope
%{python3_sitearch}/storm/cextensions.c
# armv7hl provides cextensions.cpython-312-arm-linux-gnueabihf.so
%{python3_sitearch}/storm/cextensions.*-linux-gnu*.so
%exclude %{python3_sitearch}/storm/databases/mysql.*
%exclude %{python3_sitearch}/storm/databases/postgres.*
%exclude %{python3_sitearch}/storm/twisted
%pycached %{python3_sitearch}/storm/*.py
%{python3_sitearch}/storm/schema/
%{python3_sitearch}/storm/docs/
%{python3_sitearch}/storm/databases/
%{python3_sitearch}/storm*.dist-info

%files -n python3-%{oname}-zope
%{python3_sitearch}/storm/zope

%files -n python3-%{oname}-mysql
%pycached %{python3_sitearch}/storm/databases/mysql.py

%files -n python3-%{oname}-postgresql
%pycached %{python3_sitearch}/storm/databases/postgres.py

%files -n python3-%{oname}-twisted
%{python3_sitearch}/storm/twisted


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0-5.mga10
+ Revision: 2240579
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.0-4.mga10
+ Revision: 2157620
- rebuild for python3.13

* Fri Jan 31 2025 daviddavid <daviddavid> 1.0-3.mga10
+ Revision: 2143739
- fix sub-pkgs name using python3-xxx
- fix dependencies

* Thu Jan 30 2025 papoteur <papoteur> 1.0-2.mga10
+ Revision: 2143657
+ rebuild (emptylog)

* Thu Jan 30 2025 papoteur <papoteur> 1.0-1.mga10
+ Revision: 2143592
- new version 1.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.20-9.mga7
+ Revision: 1300605
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.20-8.mga6
+ Revision: 940467
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20-7.mga5
+ Revision: 740186
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.20-6.mga5
+ Revision: 729841
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.20-5.mga5
+ Revision: 688357
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.20-3.mga4
+ Revision: 544203
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.20-2.mga4
+ Revision: 499470
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.20-1.mga4
+ Revision: 471976
- split in sub packages
- update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.19-2.mga3
+ Revision: 379549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 philippem <philippem> 0.19-1.mga2
+ Revision: 168393
- Update to 0.19

* Sat Mar 26 2011 dmorgan <dmorgan> 0.18-1.mga1
+ Revision: 77544
- imported package python-storm


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2011.0
+ Revision: 603076
- update to new version 0.18

* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.17-2mdv2011.0
+ Revision: 590595
- rebuild for python 2.7

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2011.0
+ Revision: 587731
- update to new version 0.17

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.16.0-1mdv2010.1
+ Revision: 515958
- update to 0.16.0

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.13-3mdv2010.0
+ Revision: 442498
- rebuild

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 0.13-2mdv2009.1
+ Revision: 323372
- rebuild

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.13-1mdv2009.0
+ Revision: 280473
- New release

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.11-5mdv2009.0
+ Revision: 259825
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.11-4mdv2009.0
+ Revision: 247679
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.11-2mdv2008.1
+ Revision: 171068
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 26 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.11-1mdv2008.1
+ Revision: 102257
- new version 0.11

* Tue Jul 17 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.9-1mdv2008.0
+ Revision: 53014
- Import python-storm

